### A free/open-source library for quantitative finance

SouthAfrica Class Reference
Calendars

South-African calendar. More...

`#include <ql/time/calendars/southafrica.hpp>`

Inheritance diagram for SouthAfrica:
[legend]

List of all members.

## Detailed Description

South-African calendar.

Holidays:

- Saturdays
- Sundays
- New Year's Day, January 1st (possibly moved to Monday)
- Good Friday
- Family Day, Easter Monday
- Human Rights Day, March 21st (possibly moved to Monday)
- Freedom Day, April 27th (possibly moved to Monday)
- Workers Day, May 1st (possibly moved to Monday)
- Youth Day, June 16th (possibly moved to Monday)
- National Women's Day, August 9th (possibly moved to Monday)
- Heritage Day, September 24th (possibly moved to Monday)
- Day of Reconciliation, December 16th (possibly moved to Monday)
- Christmas, December 25th
- Day of Goodwill, December 26th (possibly moved to Monday)
- Election Day, April 22nd 2009